열심히살자리리리
149
2019-11-06 18:01:25
9
895

인텔리제이 lombok 이 안되요 ㅠㅠ


gradle 프로젝트를 통해 스프링 부트 공부를 하고 있는대 lombok플러그인 설치를 하고  @Data 어노테이션을 적었는대

getmethod 가 안되네요 ㅠㅠ 분명 structure 에는 분명 get메소드가 있고 param.getAccount 도 빨간 밑줄이 안뜨는데 막상 실행하면 param.getAccount가 찾을수 없는 symbol 이라고 뜨네요 ㅠㅠ 구글링에서 나오는 해결책들 

예를 들면 enable annotation 설정도 했는대도 안돼요 ㅠㅠ 제가 jdk1.8 버전을 쓰고 있는대 혹시 jdk 버전이랑 안맞으면 이런 문제가 발생하나요??.,.

0
  • 댓글 9

  • 자라선
    1k
    2019-11-06 18:03:47

    lombok for intellij  검색

    저는 이클립스에서 할때 이클립스에 별도로 lombok 셋팅을 해주더군요

  • 열심히살자리리리
    149
    2019-11-06 18:15:01

    @자라선 저는 애초에 인텔리제이 에서 플젝을 만들고 시작하는대도 안되네요 ㅠㅠㅠㅠ

  • load2000
    3k
    2019-11-06 19:44:17

    그래들 디펜던시에 롬복 추가하셨나요?

  • 즈루시
    2019-11-06 20:02:45

    인텔리J 최신버젼 사용중이신가요?

    구버젼의 경우 해결책이 최신버젼을 사용하라가 마지막이었...

  • 라데
    12
    2019-11-06 20:20:40

    Enable Lombok plugin for this project 체크해서 한번 해보세요~


  • LIKE
    41
    2019-11-06 22:34:22

    보통은 윗 댓글 다신 분 말씀처럼


    디펜던시 추가가 안된 것일 수도 있어요


    확인해보세요!

  • LimeDoo
    743
    2019-11-06 23:12:04

    그레이들로 못가져오심 직접 setting>plugins

    가셔서 롬복 검색하심 인스톨 됩니다.

  • visualkhh
    4k
    2019-11-06 23:42:20

    anotation enable

  • devcrema
    1k
    2019-11-07 00:21:51

    롬복 플러그인 설치했는데 컴파일시에 에러가 나면 대부분 디펜던시 문제입니다. 요런식으로 들어가 있는지 확인해보세요!

    dependencies {
    	compileOnly 'org.projectlombok:lombok:1.18.10'
    	annotationProcessor 'org.projectlombok:lombok:1.18.10'
    }
  • 로그인을 하시면 댓글 을 등록할 수 있습니다.